package com.ruoyi.system.domain.form;

import java.io.Serializable;

public class MdFormRecord implements Serializable {
    /**
     * uuid
     */
    private String id;

    /**
     * 表单id
     */
    private String formId;

    /**
     * 状态 1-正常 0-删除
     */
    private Integer status;

    /**
     * 是否填报 1-是 0-否
     */
    private Integer commitStatus;

    /**
     * 填报周期
     */
    private String commitCycle;

    /**
     * 创建时间
     */
    private Long createTime;

    /**
     * 所属用户
     */
    private String ownUser;

    /**
     * 所属部门
     */
    private String ownDept;

    /**
     * 来源：线上填写，导入数据
     */
    private String source;

    /**
     * 提交人
     */
    private String commitName;

    /**
     * 表单数据
     */
    private String records;

    private static final long serialVersionUID = 1L;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getFormId() {
        return formId;
    }

    public void setFormId(String formId) {
        this.formId = formId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getCommitStatus() {
        return commitStatus;
    }

    public void setCommitStatus(Integer commitStatus) {
        this.commitStatus = commitStatus;
    }

    public String getCommitCycle() {
        return commitCycle;
    }

    public void setCommitCycle(String commitCycle) {
        this.commitCycle = commitCycle;
    }

    public Long getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Long createTime) {
        this.createTime = createTime;
    }

    public String getOwnUser() {
        return ownUser;
    }

    public void setOwnUser(String ownUser) {
        this.ownUser = ownUser;
    }

    public String getOwnDept() {
        return ownDept;
    }

    public void setOwnDept(String ownDept) {
        this.ownDept = ownDept;
    }


    public String getSource() {
        return source;
    }

    public void setSource(String source) {
        this.source = source;
    }

    public String getCommitName() {
        return commitName;
    }

    public void setCommitName(String commitName) {
        this.commitName = commitName;
    }

    public String getRecords() {
        return records;
    }

    public void setRecords(String records) {
        this.records = records;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", formId=").append(formId);
        sb.append(", status=").append(status);
        sb.append(", commitStatus=").append(commitStatus);
        sb.append(", commitCycle=").append(commitCycle);
        sb.append(", createTime=").append(createTime);
        sb.append(", ownUser=").append(ownUser);
        sb.append(", ownDept=").append(ownDept);
        sb.append(", source=").append(source);
        sb.append(", commitName=").append(commitName);
        sb.append(", records=").append(records);
        sb.append("]");
        return sb.toString();
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        MdFormRecord other = (MdFormRecord) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getFormId() == null ? other.getFormId() == null : this.getFormId().equals(other.getFormId()))
            && (this.getStatus() == null ? other.getStatus() == null : this.getStatus().equals(other.getStatus()))
            && (this.getCommitStatus() == null ? other.getCommitStatus() == null : this.getCommitStatus().equals(other.getCommitStatus()))
            && (this.getCommitCycle() == null ? other.getCommitCycle() == null : this.getCommitCycle().equals(other.getCommitCycle()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
            && (this.getOwnUser() == null ? other.getOwnUser() == null : this.getOwnUser().equals(other.getOwnUser()))
            && (this.getOwnDept() == null ? other.getOwnDept() == null : this.getOwnDept().equals(other.getOwnDept()))
            && (this.getSource() == null ? other.getSource() == null : this.getSource().equals(other.getSource()))
            && (this.getCommitName() == null ? other.getCommitName() == null : this.getCommitName().equals(other.getCommitName()))
            && (this.getRecords() == null ? other.getRecords() == null : this.getRecords().equals(other.getRecords()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getFormId() == null) ? 0 : getFormId().hashCode());
        result = prime * result + ((getStatus() == null) ? 0 : getStatus().hashCode());
        result = prime * result + ((getCommitStatus() == null) ? 0 : getCommitStatus().hashCode());
        result = prime * result + ((getCommitCycle() == null) ? 0 : getCommitCycle().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getOwnUser() == null) ? 0 : getOwnUser().hashCode());
        result = prime * result + ((getOwnDept() == null) ? 0 : getOwnDept().hashCode());
        result = prime * result + ((getSource() == null) ? 0 : getSource().hashCode());
        result = prime * result + ((getCommitName() == null) ? 0 : getCommitName().hashCode());
        result = prime * result + ((getRecords() == null) ? 0 : getRecords().hashCode());
        return result;
    }
}